From 8fd9037cfd8836db7dd35ba0e8825ba86c4e4688 Mon Sep 17 00:00:00 2001
From: Allan McRae <allan@archlinux.org>
Date: Mon, 2 May 2011 10:33:22 +1000
Subject: makepkg: quote variable that may contain spaces

Prevents failures when $PKGDEST contains spaces (FS#24002)

Patch-by: Sebastien Duthil
Signed-off-by: Allan McRae <allan@archlinux.org>
Signed-off-by: Dan McGee <dan@archlinux.org>
---
 scripts/makepkg.sh.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

(limited to 'scripts')

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 69922c99..70dd456a 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1076,7 +1076,7 @@ create_package() {
 	    *tar.bz2) bzip2 -c -f ;;
 	    *tar.xz)  xz -c -z - ;;
 	    *tar)     cat ;;
-	esac > ${pkg_file} || ret=$?
+	esac > "${pkg_file}" || ret=$?
 
 	shopt -u nullglob
 	shopt -u -o pipefail
-- 
cgit v1.2.3-70-g09d2